/**
 ***********************************************************************
 * $Id: design.h 326 2015-01-05 17:53:59Z mkwayisi $
 * ---------------------------------------------------------------------
 * Authored by Michael Kwayisi. Copyright (c) 2014. See license below.
 * Comments are appreciated - mic at kwayisi dot org | www.kwayisi.org
 * ---------------------------------------------------------------------
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are stringently met:
 *  1. Redistributions of source code must retain the above copyright
 *     notice, this list of conditions, and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above
 *     copyright notice, this list of conditions, and the following
 *     disclaimer in the documentation and/or other materials provided
 *     with the distribution.
 *  3. The end-user documentation included with the redistribution,
 *     if any, must include the following acknowledgment:
 *       "This product includes software written by Michael Kwayisi."
 *     Alternately, this acknowledgment may appear in the software
 *     itself, if and wherever such 3rd-party acknowledgments appear.
 *  4. Neither the name of the software nor the name of its author
 *     and/or contributors may be used to endorse or promote products
 *     derived from this software without specific prior permission.
 ***********************************************************************
 */

#define _MARGIN_X				13
#define _MARGIN_Y				10
#define IDC_FRM_MAIN_W			316
#define IDC_FRM_MAIN_H			458

#define IDC_LBL_LANGUAGE_X		_MARGIN_X
#define IDC_LBL_LANGUAGE_Y		104
#define IDC_LBL_LANGUAGE_W		100
#define IDC_LBL_LANGUAGE_H		21

#define IDC_CBX_LANGUAGE_X		IDC_LBL_LANGUAGE_X + IDC_LBL_LANGUAGE_W
#define IDC_CBX_LANGUAGE_Y		IDC_LBL_LANGUAGE_Y
#define IDC_CBX_LANGUAGE_W		IDC_FRM_MAIN_W - _MARGIN_X * 2 - IDC_LBL_LANGUAGE_W
#define IDC_CBX_LANGUAGE_H		60

#define IDC_LBL_VOICE_X			IDC_LBL_LANGUAGE_X
#define IDC_LBL_VOICE_Y			(IDC_LBL_LANGUAGE_Y + IDC_LBL_LANGUAGE_H + _MARGIN_Y)
#define IDC_LBL_VOICE_W			IDC_LBL_LANGUAGE_W
#define IDC_LBL_VOICE_H			IDC_LBL_LANGUAGE_H

#define IDC_CBX_VOICE_X			IDC_CBX_LANGUAGE_X
#define IDC_CBX_VOICE_Y			IDC_LBL_VOICE_Y
#define IDC_CBX_VOICE_W			IDC_CBX_LANGUAGE_W
#define IDC_CBX_VOICE_H			IDC_CBX_LANGUAGE_H

#define IDC_GBX_AUTOMATIC_X		IDC_LBL_VOICE_X
#define IDC_GBX_AUTOMATIC_Y		(IDC_LBL_VOICE_Y + IDC_LBL_VOICE_H + _MARGIN_Y)
#define IDC_GBX_AUTOMATIC_W		(IDC_FRM_MAIN_W - _MARGIN_X * 2)
#define IDC_GBX_AUTOMATIC_H		85

#define IDC_RBT_AUTOMATIC_X		IDC_LBL_LANGUAGE_X + 10
#define IDC_RBT_AUTOMATIC_Y		(IDC_GBX_AUTOMATIC_Y - 2)
#define IDC_RBT_AUTOMATIC_W		80
#define IDC_RBT_AUTOMATIC_H		15

#define IDC_LBL_STARTTIME_X		(_MARGIN_X * 2)
#define IDC_LBL_STARTTIME_Y		(IDC_GBX_AUTOMATIC_Y + _MARGIN_Y * 2)
#define IDC_LBL_STARTTIME_W		86
#define IDC_LBL_STARTTIME_H		IDC_LBL_LANGUAGE_H

#define IDC_EDT_STARTHOUR_X		(IDC_LBL_STARTTIME_X + IDC_LBL_STARTTIME_W)
#define IDC_EDT_STARTHOUR_Y		IDC_LBL_STARTTIME_Y
#define IDC_EDT_STARTHOUR_W		(((IDC_FRM_MAIN_W - \
									(IDC_EDT_STARTHOUR_X + IDC_LBL_STARTTIME_X)) \
									- _MARGIN_Y * 2) / 3)
#define IDC_EDT_STARTHOUR_H		IDC_LBL_STARTTIME_H

#define IDC_EDT_STARTMINUTE_X	(IDC_EDT_STARTHOUR_X + IDC_EDT_STARTHOUR_W + _MARGIN_Y)
#define IDC_EDT_STARTMINUTE_Y	IDC_EDT_STARTHOUR_Y
#define IDC_EDT_STARTMINUTE_W	IDC_EDT_STARTHOUR_W
#define IDC_EDT_STARTMINUTE_H	IDC_EDT_STARTHOUR_H

#define IDC_CBX_STARTTIME_X		(IDC_EDT_STARTMINUTE_X + IDC_EDT_STARTMINUTE_W + _MARGIN_Y)
#define IDC_CBX_STARTTIME_Y		IDC_EDT_STARTMINUTE_Y
#define IDC_CBX_STARTTIME_W		((IDC_FRM_MAIN_W - IDC_LBL_STARTTIME_X) \
									- (IDC_EDT_STARTMINUTE_X + IDC_EDT_STARTMINUTE_W \
										+ _MARGIN_Y))
#define IDC_CBX_STARTTIME_H		IDC_CBX_LANGUAGE_H

#define IDC_LBL_INTERVAL_X		IDC_LBL_STARTTIME_X
#define IDC_LBL_INTERVAL_Y		(IDC_LBL_STARTTIME_Y + IDC_LBL_STARTTIME_H + _MARGIN_Y)
#define IDC_LBL_INTERVAL_W		IDC_LBL_STARTTIME_W
#define IDC_LBL_INTERVAL_H		IDC_LBL_STARTTIME_H

#define IDC_EDT_INTERVAL_X		(IDC_LBL_INTERVAL_X + IDC_LBL_INTERVAL_W)
#define IDC_EDT_INTERVAL_Y		IDC_LBL_INTERVAL_Y
#define IDC_EDT_INTERVAL_W		IDC_EDT_STARTHOUR_W
#define IDC_EDT_INTERVAL_H		IDC_LBL_INTERVAL_H

#define IDC_CBX_INTERVAL_X		IDC_EDT_STARTMINUTE_X
#define IDC_CBX_INTERVAL_Y		IDC_EDT_INTERVAL_Y
#define IDC_CBX_INTERVAL_W		((IDC_CBX_STARTTIME_X + IDC_CBX_STARTTIME_W) - IDC_CBX_INTERVAL_X)
#define IDC_CBX_INTERVAL_H		IDC_CBX_STARTTIME_H

#define IDC_GBX_SCHEDULE_X		_MARGIN_X
#define IDC_GBX_SCHEDULE_Y		IDC_GBX_AUTOMATIC_Y + IDC_GBX_AUTOMATIC_H + _MARGIN_Y
#define IDC_GBX_SCHEDULE_W		IDC_GBX_AUTOMATIC_W
#define IDC_GBX_SCHEDULE_H		151

#define IDC_RBT_SCHEDULE_X		IDC_RBT_AUTOMATIC_X
#define IDC_RBT_SCHEDULE_Y		(IDC_GBX_SCHEDULE_Y - 2)
#define IDC_RBT_SCHEDULE_W		80
#define IDC_RBT_SCHEDULE_H		15

#define IDC_LBX_SCHEDULE_X		IDC_LBL_INTERVAL_X
#define IDC_LBX_SCHEDULE_Y		(IDC_GBX_SCHEDULE_Y + _MARGIN_Y * 2)
#define IDC_LBX_SCHEDULE_W		((IDC_CBX_INTERVAL_X + IDC_CBX_INTERVAL_W) - IDC_LBL_INTERVAL_X)
#define IDC_LBX_SCHEDULE_H		87

#define IDC_BTN_REMOVE_W		77
#define IDC_BTN_REMOVE_H		25
#define IDC_BTN_REMOVE_X		((IDC_LBX_SCHEDULE_X + IDC_LBX_SCHEDULE_W) - IDC_BTN_REMOVE_W)
#define IDC_BTN_REMOVE_Y		((IDC_LBX_SCHEDULE_Y + IDC_LBX_SCHEDULE_H) + _MARGIN_Y - 2)

#define IDC_BTN_ADD_W			IDC_BTN_REMOVE_W
#define IDC_BTN_ADD_H			IDC_BTN_REMOVE_H
#define IDC_BTN_ADD_X			(IDC_BTN_REMOVE_X - (IDC_BTN_ADD_W + _MARGIN_Y))
#define IDC_BTN_ADD_Y			IDC_BTN_REMOVE_Y

#define IDC_BTN_TELLTIME_X		_MARGIN_X
#define IDC_BTN_TELLTIME_Y		(IDC_GBX_SCHEDULE_Y + IDC_GBX_SCHEDULE_H + _MARGIN_Y)
#define IDC_BTN_TELLTIME_W		90
#define IDC_BTN_TELLTIME_H		26

#define IDC_BTN_SAVE_X			(IDC_BTN_TELLTIME_X + IDC_BTN_TELLTIME_W + _MARGIN_Y)
#define IDC_BTN_SAVE_Y			IDC_BTN_TELLTIME_Y
#define IDC_BTN_SAVE_W			IDC_BTN_TELLTIME_W
#define IDC_BTN_SAVE_H			IDC_BTN_TELLTIME_H

#define IDC_BTN_CLOSE_X			(IDC_BTN_SAVE_X + IDC_BTN_SAVE_W + _MARGIN_Y)
#define IDC_BTN_CLOSE_Y			IDC_BTN_SAVE_Y
#define IDC_BTN_CLOSE_W			IDC_BTN_SAVE_W
#define IDC_BTN_CLOSE_H			IDC_BTN_SAVE_H
